actions: []
api_documentation: http://docs.ros.org/en/noetic/api/mavros_msgs/html
authors: Vladimir Ermakov <vooon341@gmail.com>
brief: ''
bugtracker: https://github.com/mavlink/mavros/issues
depends:
- catkin
- geographic_msgs
- geometry_msgs
- message_generation
- message_runtime
- sensor_msgs
- std_msgs
depends_on:
- innopolis_vtol_dynamics
- mavros
- mavros_extras
- microstrain_inertial_driver
- ntrip_client
- uavcan_communicator
description: mavros_msgs defines messages for <a href="http://wiki.ros.org/mavros">MAVROS</a>.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__mavros__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__mavros__ubuntu_focal_amd64
has_changelog_rst: true
license: GPLv3, LGPLv3, BSD
maintainer_status: developed
maintainers: Vladimir Ermakov <vooon341@gmail.com>
msgs:
- RCOut
- OpticalFlowRad
- ESCStatus
- Thrust
- WheelOdomStamped
- Altitude
- OnboardComputerStatus
- RTKBaseline
- CameraImageCaptured
- BatteryStatus
- LandingTarget
- LogEntry
- RadioStatus
- HilSensor
- PlayTuneV2
- Param
- CompanionProcessStatus
- Mavlink
- Waypoint
- ESCInfo
- VFR_HUD
- MountControl
- NavControllerOutput
- ADSBVehicle
- TerrainReport
- EstimatorStatus
- ManualControl
- WaypointReached
- WaypointList
- GlobalPositionTarget
- ESCTelemetry
- HomePosition
- CamIMUStamp
- VehicleInfo
- Vibration
- HilControls
- ESCInfoItem
- HilActuatorControls
- ParamValue
- TimesyncStatus
- ESCTelemetryItem
- PositionTarget
- DebugValue
- GPSRTK
- GPSRAW
- State
- CellularStatus
- GPSINPUT
- FileEntry
- OverrideRCIn
- CommandCode
- StatusText
- ExtendedState
- RCIn
- Tunnel
- HilGPS
- AttitudeTarget
- ESCStatusItem
- RTCM
- Trajectory
- MagnetometerReporter
- HilStateQuaternion
- ActuatorControl
- LogData
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__mavros_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__mavros_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__mavros_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__mavros_msgs__ubuntu_focal_arm64__binary
repo_name: mavros
repo_url: https://github.com/mavlink/mavros.git
srvs:
- CommandTriggerInterval
- CommandAck
- ParamSet
- LogRequestEnd
- CommandVtolTransition
- CommandBool
- CommandHome
- WaypointSetCurrent
- FileRemoveDir
- CommandInt
- CommandTOL
- FileList
- WaypointPush
- CommandLong
- FileTruncate
- ParamGet
- VehicleInfoGet
- FileRemove
- MessageInterval
- FileClose
- WaypointPull
- CommandTriggerControl
- ParamPull
- StreamRate
- LogRequestList
- SetMode
- LogRequestData
- SetMavFrame
- MountConfigure
- FileChecksum
- FileRename
- FileMakeDir
- WaypointClear
- FileWrite
- FileRead
- ParamPush
- FileOpen
timestamp: 1700047896.2978182
url: http://wiki.ros.org/mavros_msgs
vcs: git
vcs_uri: https://github.com/mavlink/mavros.git
vcs_version: master
